summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/libnids/README11
-rw-r--r--libraries/libnids/libnids.SlackBuild103
-rw-r--r--libraries/libnids/libnids.info10
-rw-r--r--libraries/libnids/slack-desc19
4 files changed, 143 insertions, 0 deletions
diff --git a/libraries/libnids/README b/libraries/libnids/README
new file mode 100644
index 0000000000..b824366fc2
--- /dev/null
+++ b/libraries/libnids/README
@@ -0,0 +1,11 @@
+Libnids is an implementation of an E-component of Network Intrusion Detection
+System. It emulates the IP stack of Linux 2.0.x. Libnids offers IP
+defragmentation, TCP stream assembly and TCP port scan detection. The most
+valuable feature of libnids is reliability. A number of tests were conducted,
+which proved that libnids predicts behaviour of protected Linux hosts as
+closely as possible. Libnids is highly configurable in run-time and offers a
+convenient interface. Currently it compiles on Linux, *BSD and Solaris.
+Using libnids, one has got a convenient access to data carried by a TCP
+stream, no matter how artfully obscured by an attacker.
+
+This requires libnet.
diff --git a/libraries/libnids/libnids.SlackBuild b/libraries/libnids/libnids.SlackBuild
new file mode 100644
index 0000000000..26b9b4282f
--- /dev/null
+++ b/libraries/libnids/libnids.SlackBuild
@@ -0,0 +1,103 @@
+#!/bin/sh
+
+# Slackware build script for libnids.
+#
+# Copyright 2010-2011 Marco Bonetti <sid77@slackware.it>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ''AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+
+PRGNAM=libnids
+VERSION=${VERSION:-1.24}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+# Automatically determine the architecture we're building on:
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ # Unless $ARCH is already set, use uname -m for all other archs:
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+DOCS="CHANGES MISC README COPYING CREDITS doc/*"
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+CXXFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --libdir=/usr/lib${LIBDIRSUFFIX} \
+ --enable-shared \
+ --build=$ARCH-slackware-linux
+
+make
+make install install_prefix=$PKG
+
+find $PKG | xargs file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a $DOCS $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/libraries/libnids/libnids.info b/libraries/libnids/libnids.info
new file mode 100644
index 0000000000..acd711d43b
--- /dev/null
+++ b/libraries/libnids/libnids.info
@@ -0,0 +1,10 @@
+PRGNAM="libnids"
+VERSION="1.24"
+HOMEPAGE="http://libnids.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/libnids/libnids-1.24.tar.gz"
+MD5SUM="72d37c79c85615ffe158aa524d649610"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Marco Bonetti"
+EMAIL="sid77@slackware.it"
+APPROVED="dsomero"
diff --git a/libraries/libnids/slack-desc b/libraries/libnids/slack-desc
new file mode 100644
index 0000000000..8ed8ee0c5b
--- /dev/null
+++ b/libraries/libnids/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler-------------------------------------------------------|
+libnids: libnids (E-component of Network Intrusion Detection System)
+libnids:
+libnids: Libnids is an implementation of an E-component of Network Intrusion
+libnids: Detection System. It emulates the IP stack of Linux 2.0.x. Libnids
+libnids: offers IP defragmentation, TCP stream assembly and TCP port scan
+libnids: detection.
+libnids:
+libnids:
+libnids:
+libnids:
+libnids: